OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Extrema< ValueT, 0 > Class Template Reference

Template specialization of Extrema on scalar value types, i.e. rank = 0. More...

`#include <nanovdb/util/GridStats.h>`

Inheritance diagram for Extrema< ValueT, 0 >:

## Public Types
using | ValueType = ValueT

## Public Member Functions
__hostdev__ | Extrema ()
__hostdev__ | Extrema (const ValueT &v)
__hostdev__ | Extrema (const ValueT &a, const ValueT &b)
__hostdev__ Extrema & | min (const ValueT &v)
__hostdev__ Extrema & | max (const ValueT &v)
__hostdev__ Extrema & | add (const ValueT &v)
__hostdev__ Extrema & | add (const ValueT &v, uint64_t)
__hostdev__ Extrema & | add (const Extrema &other)
__hostdev__ const ValueT & | min () const
__hostdev__ const ValueT & | max () const
__hostdev__ | operator bool () const
template<typename NodeT >
__hostdev__ void | setStats (NodeT &node) const

## Static Public Member Functions
static __hostdev__ constexpr bool | hasMinMax ()
static __hostdev__ constexpr bool | hasAverage ()
static __hostdev__ constexpr bool | hasStdDeviation ()
static __hostdev__ constexpr bool | hasStats ()
static __hostdev__ constexpr size_t | size ()

## Protected Attributes
ValueT | mMin
ValueT | mMax

## Detailed Description

template<typename ValueT>
class nanovdb::Extrema< ValueT, 0 >

Template specialization of Extrema on scalar value types, i.e. rank = 0.

## Member Typedef Documentation

## ◆ ValueType

template<typename ValueT >

using ValueType = ValueT

## Constructor & Destructor Documentation

## ◆ Extrema() [1/3]

template<typename ValueT >

__hostdev__ Extrema | ( |  | ) |
| inline

## ◆ Extrema() [2/3]

template<typename ValueT >

__hostdev__ Extrema | ( | const ValueT & | v | ) |
| inline

## ◆ Extrema() [3/3]

template<typename ValueT >

__hostdev__ Extrema | ( | const ValueT & | a,
|  | const ValueT & | b
| ) |  |
| inline

## Member Function Documentation

## ◆ add() [1/3]

template<typename ValueT >

__hostdev__ Extrema & add | ( | const Extrema< ValueT, 0 > & | other | ) |
| inline

## ◆ add() [2/3]

template<typename ValueT >

__hostdev__ Extrema & add | ( | const ValueT & | v | ) |
| inline

## ◆ add() [3/3]

template<typename ValueT >

__hostdev__ Extrema & add | ( | const ValueT & | v,
|  | uint64_t |
| ) |  |
| inline

## ◆ hasAverage()

template<typename ValueT >

static __hostdev__ constexpr bool hasAverage | ( |  | ) |
| inline static constexpr

## ◆ hasMinMax()

template<typename ValueT >

static __hostdev__ constexpr bool hasMinMax | ( |  | ) |
| inline static constexpr

## ◆ hasStats()

template<typename ValueT >

static __hostdev__ constexpr bool hasStats | ( |  | ) |
| inline static constexpr

## ◆ hasStdDeviation()

template<typename ValueT >

static __hostdev__ constexpr bool hasStdDeviation | ( |  | ) |
| inline static constexpr

## ◆ max() [1/2]

template<typename ValueT >

__hostdev__ const ValueT & max | ( |  | ) | const
| inline

## ◆ max() [2/2]

template<typename ValueT >

__hostdev__ Extrema & max | ( | const ValueT & | v | ) |
| inline

## ◆ min() [1/2]

template<typename ValueT >

__hostdev__ const ValueT & min | ( |  | ) | const
| inline

## ◆ min() [2/2]

template<typename ValueT >

__hostdev__ Extrema & min | ( | const ValueT & | v | ) |
| inline

## ◆ operator bool()

template<typename ValueT >

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ setStats()

template<typename ValueT >
template<typename NodeT >

__hostdev__ void setStats | ( | NodeT & | node | ) | const
| inline

## ◆ size()

template<typename ValueT >

static __hostdev__ constexpr size_t size | ( |  | ) |
| inline static constexpr

## Member Data Documentation

## ◆ mMax

template<typename ValueT >

ValueT mMax
| protected

## ◆ mMin

template<typename ValueT >

ValueT mMin
| protected